@import "./grid.css";
@import "./alignments.css";
@import "./icons.css";
@import './typography.css';

:root.dark-theme {
    --color-aside: #202020;
    --color-wrapper: #1a1a1a;
    --color-text-low: #f7f6f9;
    --color-text-high: #ffffff;
}

:root.light-theme {
    --color-aside: #ffffff;
    --color-wrapper: #f7f6f9;
    --color-text-low: #202020;
    --color-text-high: #1a1a1a;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Roboto;
    position: relative;
}

.container {
    min-height: 100vh;
    max-height: 100vh;
    width: 100%;
}

aside {
    background-color: var(--color-aside);
    padding:  90px;
    width: 30%;
}

.aside-photo-weather {
    width: 80%;
}

.temperature {
    font-size: 64px;
    padding: 30px 0 20px 0;
}



.fa {
    font-size: 21px;
}

.search > input {
    border: none;
    outline: none;
    margin-left: 10px;
}
.search {
    position: relative;
    padding-bottom: 30px;
    width: 100%;
}

.weather-info {
    padding: 10px 0 50px 0;
}

.weather img {
    height: 60px;
    width: 60px;
}

.fa-clock-o {
    position: absolute;
    right: 0;
    top: 0;
}

.city {
    min-height: 130px;
    width: 100%;
    background-color: #6C7280;
    padding: 50px;
    color: #FFFFFF;
    border-radius: 15px;
    background-image: url("../icons/buildings.jpg");
}

.time {
    color: #6C7280;
}

.right-container {
    width: 70%;
    background-color: var(--color-wrapper);
    padding: 90px;
}

.options-day .week,
.options-day .today {
    color: #6C7280;
}

.today.view-active,
.week.view-active {
    color: #000000;
    pointer-events: none;
}

.fahrenheit,
.week {
    margin-left: 20px;
}

.boxes-temperature {
    width: 100%;
    margin: 35px -10px;

}

.box-temp {
    background-color: #FFFFFF;
    border-radius: 15px;
    padding: 10px 15px;
    margin: 8px;
}

.box-temp span {
    color: #6C7280;
    margin-left: 5px;
}

.box-info {
    background-color: #ffffff;
    border-radius: 15px;
    width: 30%;
    text-align: center;
}

.boxes-bottom {
    margin-top: 30px;
}

.options {
    margin-bottom: 35px;
}

.weather-information > h2 {
    margin-bottom: 55px;
}

.title-box {
    color: #6C7280;
}

.rain-information  img {
    width: 50px;
}

.rain-information {
    text-align: center;
    display: flex;
    align-items: center;
}

.box-info > h2 {
    font-size: 33px;
}
.box-info  h4,
.box-info  h5,
.box-info  h3,
.box-info  h2 {
    padding: 20px;
}
h2 span {
    color: #6C7280;
    font-size: 21px;
}

.celsius,
.fahrenheit,
.today,
.week {
    cursor: pointer;
}

@media all and (min-width:322px) and (max-width:1400px) {
    .container {
        flex-direction: column;
    }

    aside {
        width: 100%;
        flex-direction: row;
        align-items: center;
    }

    .aside-photo-weather {
        width: 50%;
    }

    aside  h3 {
        font-size: 29px;
    }

    .temperature {
        font-size: 96px;
    }

    .rain-information  img {
        width: 50px;
    }

    .rain-information {
        text-align: center;
        display: flex;
        align-items: center;

    }

    .right-container {
        width: 100%;
    }

    .box-temp {
        /*width: 12%;*/
    }
}


@media all and (min-width: 320px) and (max-width: 820px) {
    .boxes-temperature {
        flex-direction: column;
        height: auto;
    }

    .box-temp {
        width: 50%;
        margin: 20px 0;
    }

}
@media all and (min-width: 320px) and (max-width: 510px) {
    .boxes-top,
    .boxes-bottom {
        flex-direction: column;
        align-items: center;
    }
    .box-info {
        width: 70%;
        margin: 10px
    }
    .box-temp {
        width: 60%;
    }
}

.loader {
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(255, 255, 255, 0.8);
    height: 100vh;
    width: 100%;
    align-items: center;
    justify-content: center;
    display: none;
}

.loader--active {
    display: flex;
}

.loader-container-img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30%;
    height: 30%;
}

.loader-sun,
.loader-cloudy {
    height: 100%;
    width: 60%;
}

.weather-icon {
    text-align: center;
}

@keyframes rotate {
    from {
        transform: rotate(0);
    }
    to {
        transform: rotate(360deg);
    }
}


@keyframes transform {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(0);

    }
}

.loader-sun {
    background-image: url("../icons/149417.svg");
    background-size: 100% 100%;
    animation: rotate 3s infinite linear;
    transform-origin: 50% 50%;
}

.loader-cloudy {
    background-image: url("../icons/black/svg/mostlycloudy.svg");
    background-size: 92% 100%;
    animation: transform 4s infinite linear;
}

.temp-night {
    color: #6C7280;
}
.container-temp {
    display: flex;

}
/*loader*/

